Bug 832817 - [abrt] python-2.7.3-6.fc17: Process /usr/bin/python2.7 was killed by signal 11 (SIGSEGV)
[abrt] python-2.7.3-6.fc17: Process /usr/bin/python2.7 was killed by signal 1...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: python (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bohuslav "Slavek" Kabrda
Fedora Extras Quality Assurance
abrt_hash:cf542dcc599c9c5586b1c546357...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-17 11:46 EDT by Timothy Davis
Modified: 2013-07-31 15:25 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 15:25:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (17.61 KB, text/plain)
2012-06-17 11:46 EDT, Timothy Davis
no flags Details
File: maps (69.56 KB, text/plain)
2012-06-17 11:46 EDT, Timothy Davis
no flags Details
File: dso_list (14.29 KB, text/plain)
2012-06-17 11:46 EDT, Timothy Davis
no flags Details

  None (edit)
Description Timothy Davis 2012-06-17 11:46:41 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 3
cmdline:        python Boa.pyw
comment:        I closed boa-constructor
executable:     /usr/bin/python2.7
kernel:         3.4.0-1.fc17.x86_64
pid:            3760
pwd:            /home/tim/Downloads/boa-constructor-0.6.1
time:           Sat 16 Jun 2012 09:56:48 PM EDT
uid:            1000
username:       tim

backtrace:      Text file, 18028 bytes
dso_list:       Text file, 14631 bytes
maps:           Text file, 71230 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/tim/2

core_backtrace:
:- 0x0 - - -
:9e028577f30c598f369ec3d060b8b105e911ed10 0x26cebb wxBookCtrlBase::DeletePage(unsigned libwx_gtk2u_core-2.8.so.0 -
:9e028577f30c598f369ec3d060b8b105e911ed10 0x256c88 wxNotebook::DeleteAllPages() libwx_gtk2u_core-2.8.so.0 -
:9e028577f30c598f369ec3d060b8b105e911ed10 0x256d24 wxNotebook::~wxNotebook() libwx_gtk2u_core-2.8.so.0 -
:9e028577f30c598f369ec3d060b8b105e911ed10 0x256da9 wxNotebook::~wxNotebook() libwx_gtk2u_core-2.8.so.0 -
:9e028577f30c598f369ec3d060b8b105e911ed10 0x2d4f16 wxWindowBase::DestroyChildren() libwx_gtk2u_core-2.8.so.0 -
:9e028577f30c598f369ec3d060b8b105e911ed10 0x20bb12 wxWindow::~wxWindow() libwx_gtk2u_core-2.8.so.0 -
:9e028577f30c598f369ec3d060b8b105e911ed10 0x2fc9c9 wxSplitterWindow::~wxSplitterWindow() libwx_gtk2u_core-2.8.so.0 -
:9e028577f30c598f369ec3d060b8b105e911ed10 0x2d4f16 wxWindowBase::DestroyChildren() libwx_gtk2u_core-2.8.so.0 -
:9e028577f30c598f369ec3d060b8b105e911ed10 0x20bb12 wxWindow::~wxWindow() libwx_gtk2u_core-2.8.so.0 -
:9e028577f30c598f369ec3d060b8b105e911ed10 0x243039 wxFrame::~wxFrame() libwx_gtk2u_core-2.8.so.0 -
:9e028577f30c598f369ec3d060b8b105e911ed10 0x26a3f2 wxAppBase::DeletePendingObjects() libwx_gtk2u_core-2.8.so.0 -
:9e028577f30c598f369ec3d060b8b105e911ed10 0x26a59b wxAppBase::ProcessIdle() libwx_gtk2u_core-2.8.so.0 -
:9e028577f30c598f369ec3d060b8b105e911ed10 0x1e4cbe - libwx_gtk2u_core-2.8.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x476e5 g_main_context_dispatch libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x47a18 - libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x47e12 g_main_loop_run libglib-2.0.so.0 -
:8c1105fdca80308f44d545b954a7dcd518f98db5 0x14ac27 gtk_main libgtk-x11-2.0.so.0 -
:9e028577f30c598f369ec3d060b8b105e911ed10 0x1f81d8 wxEventLoop::Run() libwx_gtk2u_core-2.8.so.0 -
:9e028577f30c598f369ec3d060b8b105e911ed10 0x26a30c wxAppBase::MainLoop() libwx_gtk2u_core-2.8.so.0 -
:3bba72c2bad50a2c0ff07927547a74fa7c86fceb 0x3a637 wxPyApp::MainLoop() _core_.so -
:3bba72c2bad50a2c0ff07927547a74fa7c86fceb 0xb33f1 - _core_.so -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0xdc1e0 PyEval_EvalFrameEx libpython2.7.so.1.0 -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0xddb2f PyEval_EvalCodeEx libpython2.7.so.1.0 -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0x6d7b6 - libpython2.7.so.1.0 -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0x49a7e PyObject_Call libpython2.7.so.1.0 -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0x58090 - libpython2.7.so.1.0 -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0x49a7e PyObject_Call libpython2.7.so.1.0 -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0xd93f3 PyEval_EvalFrameEx libpython2.7.so.1.0 -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0xdcd61 PyEval_EvalFrameEx libpython2.7.so.1.0 -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0xddb2f PyEval_EvalCodeEx libpython2.7.so.1.0 -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0xdc123 PyEval_EvalFrameEx libpython2.7.so.1.0 -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0xddb2f PyEval_EvalCodeEx libpython2.7.so.1.0 -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0xddc02 PyEval_EvalCode libpython2.7.so.1.0 -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0xf6baa - libpython2.7.so.1.0 -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0xf79a2 PyRun_FileExFlags libpython2.7.so.1.0 -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0xf83bb PyRun_SimpleFileExFlags libpython2.7.so.1.0 -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0x109892 Py_Main libpython2.7.so.1.0 -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=squidward.shaggvill.net
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/run/user/tim/keyring-3UNVAW/gpg:0:1
:TERM=xterm
:SHELL=/bin/bash
:HISTSIZE=1000
:GJS_DEBUG_OUTPUT=stderr
:WINDOWID=44040197
:GNOME_KEYRING_CONTROL=/run/user/tim/keyring-3UNVAW
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:IMSETTINGS_MODULE=none
:QT_GRAPHICSSYSTEM_CHECKED=1
:USER=tim
:LS_COLORS=rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:mi=01;05;37;41:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lz=01;31:*.xz=01;31:*.bz2=01;31:*.tbz=01;31:*.tbz2=01;31:*.bz=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.axv=01;35:*.anx=01;35:*.ogv=01;35:*.ogx=01;35:*.aac=01;36:*.au=01;36:*.flac=01;36:*.mid=01;36:*.midi=01;36:*.mka=01;36:*.mp3=01;36:*.mpc=01;36:*.ogg=01;36:*.ra=01;36:*.wav=01;36:*.axa=01;36:*.oga=01;36:*.spx=01;36:*.xspf=01;36:*.pdf=00;33:*.ps=00;33:*.ps.gz=00;33:*.txt=00;33:*.patch=00;33:*.diff=00;33:*.log=00;33:*.tex=00;33:*.xls=00;33:*.xlsx=00;33:*.ppt=00;33:*.pptx=00;33:*.rtf=00;33:*.doc=00;33:*.docx=00;33:*.odt=00;33:*.ods=00;33:*.odp=00;33:*.xml=00;33:*.epub=00;33:*.abw=00;33:*.html=00;33:*.wpd=00;33:
:SSH_AUTH_SOCK=/run/user/tim/keyring-3UNVAW/ssh
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/784,unix/unix:/tmp/.ICE-unix/784
:USERNAME=tim
:PATH=/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/tim/.local/bin:/home/tim/bin
:MAIL=/var/spool/mail/tim
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/tim/Downloads/boa-constructor-0.6.1
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=780
:LANG=en_US.UTF-8
:KDE_IS_PRELINKED=1
:KDEDIRS=/usr
:GDMSESSION=gnome
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HISTCONTROL=ignoredups
:HOME=/home/tim
:XDG_SEAT=seat0
:SHLVL=2
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:LOGNAME=tim
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-We3DQXUoku,guid=90afd2b880fefad46cb01bfd00000054
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/tim
:DISPLAY=:0
:CCACHE_HASHDIR=
:COLORTERM=gnome-terminal
:XAUTHORITY=/var/run/gdm/auth-for-tim-uH43cl/database
:OLDPWD=/home/tim
:_=/usr/bin/python

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 15737                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       15737                15737                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/pts/1
:1:/dev/pts/1
:2:/dev/pts/1
:3:anon_inode:[eventfd]
:4:socket:[262971]
:5:socket:[263015]
:6:anon_inode:inotify

smolt_data:
:
:
:General
:=================================
:UUID: 00867f71-211c-433f-9983-a1a0e95c9646
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 3990.24
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM)2 Duo CPU     T7300  @ 2.00GHz
:CPU Stepping: 11
:CPU Family: 6
:CPU Model Num: 15
:Number of CPUs: 2
:CPU Speed: 2001
:System Memory: 1971
:System Swap: 3967
:Vendor: Hewlett-Packard
:System:  F.0A
:Form factor: Notebook
:Kernel: 3.4.0-1.fc17.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:10752:4156:12481) pci, None, HOST/PCI, Compaq 6910p
:(32902:10753:4156:12481) pci, pcieport, PCI/PCI, Mobile PM965/GM965/GL960 PCI Express Root Port
:(32902:10281:4156:12481) pci, ahci, STORAGE, Compaq 6910p
:(32902:10320:4156:12481) pci, ata_piix, STORAGE, Compaq 6910p
:(32902:10257:4156:12481) pci, None, PCI/ISA, Compaq 6910p
:(32902:4169:4156:12481) pci, e1000e, ETHERNET, Compaq 6910p
:(32902:9288:4156:12481) pci, None, PCI/PCI, Compaq 6910p
:(32902:10289:4156:12481) pci, uhci_hcd, USB, Compaq 6910p
:(32902:10288:4156:12481) pci, uhci_hcd, USB, Compaq 6910p
:(32902:10290:4156:12481) pci, uhci_hcd, USB, Compaq 6910p
:(4480:1142:4156:12481) pci, yenta_cardbus, PCI/CARDBUS, Compaq 6910p
:(32902:10294:4156:12481) pci, ehci_hcd, USB, Compaq 6910p
:(32902:10298:4156:12481) pci, ehci_hcd, USB, Compaq 6910p
:(4480:1142:4156:12481) pci, yenta_cardbus, PCI/CARDBUS, Compaq 6910p
:(4480:2098:4156:12481) pci, firewire_ohci, FIREWIRE, Compaq 6910p
:(4480:2082:4156:12481) pci, sdhci-pci, BASE, Compaq 6910p
:(32902:10303:4156:12481) pci, pcieport, PCI/PCI, Compaq 6910p
:(32902:10305:4156:12481) pci, pcieport, PCI/PCI, Compaq 6910p
:(32902:10756:4156:12481) pci, None, SIMPLE, Compaq 6910p
:(32902:10759:4156:12481) pci, serial, 16550_SERIAL, Compaq 6910p
:(32902:10315:4156:12481) pci, snd_hda_intel, MULTIMEDIA, Compaq 6910p
:(32902:10292:4156:12481) pci, uhci_hcd, USB, Compaq 6910p
:(32902:10311:4156:12481) pci, pcieport, PCI/PCI, Compaq 6910p
:(32902:10293:4156:12481) pci, uhci_hcd, USB, Compaq 6910p
:(4098:29064:4156:12481) pci, radeon, VIDEO, 6910p
:(32902:10758:4156:12481) pci, ata_generic, STORAGE, Compaq 6910p
:(32902:16937:32902:4096) pci, iwl4965, NETWORK, PRO/Wireless 4965 AG or AGN [Kedron] Network Connection
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/root / ext4 4096 4096 18362928 13025495 12105815 4603904 4251390 4251390
:/dev/sda1 /boot ext4 1024 1024 508745 426040 400440 128016 127672 127672
:

var_log_messages:
:Jun 15 16:58:21 squidward abrt[6896]: Saved core dump of pid 6838 (/usr/bin/python2.7) to /var/spool/abrt/ccpp-2012-06-15-16:58:19-6838 (66359296 bytes)
:Jun 16 21:20:53 squidward abrt[2632]: Saved core dump of pid 2594 (/usr/bin/python2.7) to /var/spool/abrt/ccpp-2012-06-16-21:20:51-2594 (72785920 bytes)
:Jun 16 21:56:50 squidward abrt[3769]: Saved core dump of pid 3760 (/usr/bin/python2.7) to /var/spool/abrt/ccpp-2012-06-16-21:56:48-3760 (67055616 bytes)

xsession_errors:
:  File "/usr/lib64/python2.7/site-packages/wx-2.8-gtk2-unicode/wx/_controls.py", line 2284, in __init__
:  File "/usr/lib64/python2.7/site-packages/wx-2.8-gtk2-unicode/wx/_controls.py", line 2284, in __init__
:  File "/usr/lib64/python2.7/site-packages/wx-2.8-gtk2-unicode/wx/_controls.py", line 2284, in __init__
:  File "/usr/lib64/python2.7/site-packages/wx-2.8-gtk2-unicode/wx/_controls.py", line 2284, in __init__
:  File "/usr/lib64/python2.7/site-packages/wx-2.8-gtk2-unicode/wx/_controls.py", line 2284, in __init__
:  File "/usr/lib64/python2.7/site-packages/wx-2.8-gtk2-unicode/wx/_controls.py", line 2284, in __init__
:  File "/usr/lib64/python2.7/site-packages/wx-2.8-gtk2-unicode/wx/_controls.py", line 2284, in __init__
:  File "/usr/lib64/python2.7/site-packages/wx-2.8-gtk2-unicode/wx/_controls.py", line 2284, in __init__
:  File "/usr/lib64/python2.7/site-packages/wx-2.8-gtk2-unicode/wx/_controls.py", line 2284, in __init__
:  File "/usr/lib64/python2.7/site-packages/wx-2.8-gtk2-unicode/wx/_controls.py", line 2284, in __init__
Comment 1 Timothy Davis 2012-06-17 11:46:47 EDT
Created attachment 592447 [details]
File: backtrace
Comment 2 Timothy Davis 2012-06-17 11:46:50 EDT
Created attachment 592448 [details]
File: maps
Comment 3 Timothy Davis 2012-06-17 11:46:54 EDT
Created attachment 592449 [details]
File: dso_list
Comment 4 Fedora Admin XMLRPC Client 2013-05-10 01:01:07 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Fedora Admin XMLRPC Client 2013-05-10 01:01:59 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Fedora Admin XMLRPC Client 2013-05-10 01:05:41 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Fedora Admin XMLRPC Client 2013-05-10 01:13:28 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 8 Fedora Admin XMLRPC Client 2013-05-10 01:13:39 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 9 Fedora End Of Life 2013-07-03 16:05:28 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Fedora End Of Life 2013-07-31 15:25:31 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.